package org.dromara.main.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.main.domain.bo.MainPostApplyBo;
import org.dromara.main.domain.vo.MainPostApplyVo;

import java.util.Collection;
import java.util.List;

public interface IMainPostApplyService {

    TableDataInfo<MainPostApplyVo> queryPageList(MainPostApplyBo bo, PageQuery pageQuery);

    List<MainPostApplyVo> queryList(MainPostApplyBo bo);

    MainPostApplyVo queryById(Long id);

    Boolean insertByBo(MainPostApplyBo bo);

    Boolean updateByBo(MainPostApplyBo bo);

    Boolean publishById(Long id);

    Boolean unpublishById(Long id);

    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
